


$(".floats" ).on("keypress", function(event) {    
    if (event.which != 46 && (event.which < 47 || event.which > 59))
    {
        event.preventDefault();
        if ((event.which == 46) && ($(this).indexOf('.') != -1)) {
            event.preventDefault();
        }
    }
});

$(".nummbers").keypress(function (e) {
    if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
            event.preventDefault();
    }  
});


$('body').on('change', '.checkcolumn', function () {
     var table = $(this).attr('data-table');
     var tablecol = $(this).attr('data-tablecol');
     var tablecolval = $.trim($(this).val());
     var tableid = $(this).attr('data-tableid');
     var parentid = $(this).attr('data-parentid');
     var parentcol = $(this).attr('data-parentcol');
     var thisinput = $(this);
      $.post('transactionstEstateAjax.php?do=checkcolumn', {table: table ,tablecol: tablecol, tablecolval: tablecolval, 
        tableid: tableid, parentid: parentid ,parentcol: parentcol}, function (result) {
          var placeholder = $(thisinput).attr('placeholder');  
          if (result == 1) {
              alert( placeholder + ' مضاف من قبل  ');          
              $(thisinput).val("");                       
          }
      }); 
});

$(".getselectjoin").select2({
    allowClear: true,
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'transactionstEstateAjax.php?do=getselectjoin',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var itr = $(this).attr('data-itr');
                var parentcol = $(this).attr('data-parent');
                var parentid = $('#'+parentcol+itr).val();
                var placeholder = $('#'+parentcol+itr).attr('data-placeholder');  
                if (parentcol != '' && parentid == '') {
                    alert(' يجب اختيار  '+placeholder+' اولآ');
                    return false;
                }
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"), 
                    table: $(this).attr('data-table'),
                    tableid: $(this).attr('data-tableid'),
                    tablewhere: $(this).attr('data-where'),
                    join: $(this).attr('data-join'),
                    filter: $(this).attr('data-filter'),
                    parentid: parentid,
                    parentcol : parentcol,
                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});

$('body').on('click', '.buttonformajax', function () {
    if ($("#formidajax").valid() === true) {
        $('.buttonformajax').prop("disabled", true);
        $('.buttonformajax').css("background", "red");
        $("#formidajax").submit();
    } else {
        $('.formidajax').prop("disabled", false);
    }
});

$('form#formidajax').submit(function (e) {
    e.preventDefault();
    var action = $('#formidajax').attr('action');
    var dosave = $('#formidajax').attr('data-dosave');
    var doprint = $('#formidajax').attr('data-doprint');
    var formData = new FormData(this);
    $.ajax({
        url: action+dosave,
        type: 'POST',
        dataType: 'json',
        data: formData,
        success: function (data) {
            if (data > 0)
            {
                if(doprint){
                    window.open(action+doprint+'&id='+data, '_blank');
                }else{
                    window.location = action+'?do=show';  
                }
            } else { 
                window.location = action;
            }                   
        },
        cache: false,
        contentType: false,
        processData: false
    });
});






// $('body').on('change', '#transactionvalue', function () {
//     services();
//     externalcommission();
//     fullcommission();
// });



// function services(transactionvalue){
//       var transactionvalue = Number($('#transactionvalue').val());
//      $('#services').val((transactionvalue * 3) / 100);
// }

// function externalcommission(transactionvalue){
//      var transactionvalue = Number($('#transactionvalue').val());
//      $('#externalcommission').val((transactionvalue * 3) / 100);
// }

// $('body').on('change', '#reliefvalue', function () {
//      officecommission();
// });

// function fullcommission(){
//      var transactionvalue = Number($('#transactionvalue').val());
//      var fullcommission = (transactionvalue * 10) / 100;
//      $('#fullcommission').val(fullcommission);
//      datavalue();
// }


// $('body').on('change', '#fullcommission', function () {
//      datavalue();
// });


// function datavalue(fullcommission){
//     var fullcommission = Number($('#fullcommission').val());
//     $('#datavalue').val((fullcommission * 10) / 100);
// }

// $('body').on('change', '#datavalue', function () {
//      officecommission();
// });


// function officecommission(){
//     delegateclearanceidvalue();
//     savevalue();
// }

// $('body').on('change', '#officecommission', function () {
//      delegateclearanceidvalue();
// });

// function delegateclearanceidvalue(){
//     var fullcommission = Number($('#fullcommission').val());
//     var reliefvalue = Number($('#reliefvalue').val());
//     var datavalue = Number($('#datavalue').val());
//     var officecommission = Number($('#officecommission').val());
//     $('#delegateclearanceidvalue').val(((fullcommission -  reliefvalue - datavalue - officecommission) * 10) / 100);
//     representativecommission();
// }

// $('body').on('change', '#delegateclearanceidvalue', function () {
//      representativecommission();
// });

// function representativecommission(){
//     var fullcommission = Number($('#fullcommission').val());
//     var delegateclearanceidvalue = Number($('#delegateclearanceidvalue').val());
//     var reliefvalue = Number($('#reliefvalue').val());
//     var datavalue = Number($('#datavalue').val());
//     var officecommission = Number($('#officecommission').val());
//     $('#representativecommission').val(fullcommission - delegateclearanceidvalue - reliefvalue - datavalue - officecommission);
// }



// $('body').on('change', '#onlinevalue', function () {
//     savevalue();
// });


// $('body').on('change', '#netservices', function () {
//      savevalue();
// });


// function savevalue(){
//     var officecommission = Number($('#officecommission').val());
//     var onlinevalue = Number($('#onlinevalue').val());
//     var netservices = Number($('#netservices').val());
//     $('#savevalue').val(officecommission + onlinevalue + netservices);
// }












// $('body').on('click', '.buttons-excel', function () {
//     $( ".changeenddate" ).hide();
//      $( ".changeenddatee" ).show();
//      location.reload();
// });






selectRefresh2();
function selectRefresh2(){
    $('select.selectnew').select2({
        width:'100%'
    });
}


fetch_data();
function fetch_data()
{

    var myformData = new FormData($('form#searchdata')[0]);
    var showajaxlink = $("#getajaxdata").attr('data-controll');
    var dataTable = $('#getajaxdata').DataTable({
        "processing": true,
        "serverSide": true,
        "scrollX": true, // ✅ سحب أفقي
        "lengthMenu" : [[100, 200, 300, 400, 500, -1],[100, 200, 300, 400, 500, "All"] ],
            dom: 'Bfrtip',
            buttons: [
                {
                    extend: 'copyHtml5',
                    exportOptions: {
                         columns: [ 1, 2, 3, 4, 5, 6 , 7 ]
                    }
                },
                {
                    extend: 'csvHtml5',
                    exportOptions: {
                         columns: [ 1, 2, 3, 4, 5, 6 , 7 ]
                    }
                },
                {
                    extend: 'print',
                    exportOptions: {
                         columns: [ 1, 2, 3, 4, 5, 6 , 7 ]
                    }
                },
                {
                    extend: 'excelHtml5',
                    exportOptions: {
                         columns: [ 1, 2, 3, 4, 5, 6 , 7 ]
                    }
                },
                {
                    extend: 'pdfHtml5',
                    exportOptions: {
                        columns: [ 1, 2, 3, 4, 5, 6 , 7 ]
                    }
                },
                'colvis'
            ],
        "dom": "<'row' <'col-md-12'B>><'row'<'col-md-6 col-sm-12'l><'col-md-6 col-sm-12'f>r><'table-scrollable't><'row'<'col-md-5 col-sm-12'i><'col-md-7 col-sm-12'p>>" ,
        "order": [[0, "desc"]],
        "displayLength": 100,
        "columnDefs": [
            {"className": "dt-center", "targets": "_all"}
          ],
        "ajax" : {url: showajaxlink,
            type: 'POST',
            data: function(data){
                // console.log(data.search.value);
                myformData.append('ordercol', data.order[0].column);
                myformData.append('orderdir', data.order[0].dir);
                myformData.append('searchval', data.search.value);
                return Object.fromEntries(myformData);
            },
            "rowCallback": function( row, data, index ) {
                var paperType = data[data.length-1];
                var dane = data[data.length-2];
                if ( paperType == 1  && dane == 1){
                     $('td', row).css('background-color', '#7ff8ff')
                }else if (dane == 2){
                      $(row).addClass('danger');
                }else if (dane == 3){
                      $('td', row).css('background-color', '#83cae4')
                }else if (dane == 1){
                   $('td', row).css('background-color', '#99FFCC')
                }else{}
            }    
        }
    });
    $('.group-checkable', "#getajaxdata").change(function () {
        var set = $("#getajaxdata").find('tbody > tr > td:nth-child(1) input[type="checkbox"]');
        var checked = $(this).prop("checked");
        $(set).each(function () {
            $(this).prop("checked", checked);
        });
    });
}

$('body').on('change', '.searchdata', function () {
    $('#getajaxdata').DataTable().destroy();
    fetch_data();
});

 






$('body').on('click', '.removeteble', function () {
    var id = $(this).attr('data-id');
    var table = $(this).attr('data-table');
    if (confirm('هل انت متاكد من الحذف ؟')) {
        var thisis = $(this);
        $.post('transactionstEstateAjax.php?do=removeteble', {id: id, table: table}, function (data) {
            if (data == 1) {
                thisis.parent().parent().remove();
            }else{
               alert('حدث خطأ أثناء التنفيذ');
            }
        });
    } else {
    alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});


$('body').on('click', '.addappend', function () {
    var container = $(this).attr('data-container');
    var dataitr = $(this).attr('data-itr');
    var itr = Number($('#'+container+'itr'+dataitr).val());
    $.post('studentSubjectsController.php?do=addappend', {dataitr: dataitr, itr: itr, container: container}, function (result) {
        $('.'+container+'container'+dataitr).append(result);
        $('#'+container+'itr'+dataitr).val(itr + 1);
        selectRefresh2();
    });
});

$('body').on('click', '.settingpays', function () {
    var itr = Number($('#studentsettingpaysitr').val());
    $.post('studentSettings.php?do=pays', {itr: itr}, function (result) {
        $('.studentsettingpayscontainer').append(result);
        $('#studentsettingpaysitr').val(itr + 1);
    });
});

$('body').on('click', '.settingpaysremoveappend', function () {
    var editcheck = $(this).attr('data-edit');
    var id = $(this).attr('data-id');
    var thisis = $(this);
    if (confirm('هل انت متاكد من الحذف ؟')) {
        if (editcheck == 1) {
            $.post('settingpays.php?do=removeappend', {id: id, editcheck: editcheck}, function (data) {
                if (data == 1) {
                    $('#studentsettingpaysremove'+editcheck+id).remove();
                }else{
                     alert('حدث خطأ أثناء التنفيذ');
                }
            });
        } else {
            $('#studentsettingpaysremove'+editcheck+id).remove();
        }
    } else {
    alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});



$('body').on('click', '.removeappend', function () {
    var editcheck = $(this).attr('data-edit');
    var id = $(this).attr('data-id');
    var table = $(this).attr('data-container');
    var thisis = $(this);
    if (confirm('هل انت متاكد من الحذف ؟')) {
        if (editcheck == 1) {
            $.post('studentSubjectsController.php?do=removeappend', {id: id, table: table, editcheck: editcheck}, function (data) {
                if (data == 1) {
                    $('#'+table+'remove'+editcheck+id).remove();
                }else{
                     alert('حدث خطأ أثناء التنفيذ');
                }
            });
        } else {
            $('#'+table+'remove'+editcheck+id).remove();
        }
    } else {
    alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});




$('body').on('click', '.removecontroller', function () {
    var id = $(this).attr('data-id');
    var controll = $(this).attr('data-controll');
    if (confirm('هل انت متاكد من الحذف ؟')) {
        var thisis = $(this);
        $.post(controll+'.php?do=removecontroller', {id: id}, function (data) {
            if (data == 1) {
                thisis.parent().parent().remove();
            }else{
               alert('حدث خطأ أثناء التنفيذ');
            }
        });
    } else {
    alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});



$(".getselectmultiple").select2({
    allowClear: true,
    // minimumInputLength: 2,
    multiple: true,
    quietMillis: 100,
    ajax: {
        url: 'transactionstEstateAjax.php?do=getselectmultiple',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var studentsubjectid = $('#studentsubjectid').val();
                var studentsubjectgroupid = $('#studentsubjectgroupid').val();
                if (studentsubjectid == '') {
                    var placeholder = $('#studentsubjectid').attr('data-placeholder');  
                    alert(' يجب اختيار  '+placeholder+' اولآ');
                    return false;
                }else  if (studentsubjectgroupid == '') {
                    var placeholder = $('#studentsubjectgroupid').attr('data-placeholder');  
                    alert(' يجب اختيار  '+placeholder+' اولآ');

                }
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"), 
                    table: $(this).attr('data-table'),
                    del: $(this).attr('data-del'),
                    studentsubjectid: studentsubjectid,
                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});

$(".getstudentnotexam").select2({
    allowClear: true,
    placeholder: "اختر الطالب",
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'studentsExamsController.php?do=getstudentnotexam',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"), 
                    studentaddsubjectid: $('#studentaddsubjectid').val(),
                    studentsexamid: Number($('#studentsexamid').val()),
                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});






$('body').on('change', '#getallstudenttime', function () {
        var studentid = Number($(this).val());
        var studentsexamid = Number($('#studentsexamid').val());
        $.post('studentsExamsController.php?do=getallstudenttime', {studentid: studentid, studentsexamid: studentsexamid}, function (result) {
            $('#getallstudenttimeli').append(result);
        });
});


$('body').on('change', '.examsstudent', function () {
        var id = Number($(this).attr('data-examsstudentid'));
        var greatdegree = Number($('#greatdegree').val());
        var examspresence = $("#examspresence"+id).attr("checked") ? 1 : '';
        var examsvalue = Number($('#examsvalue'+id).val());
        if (examspresence == '' && examsvalue != '') {
            alert("لا يمكن اضافة درجه للطالب وهو غائب ");
            $('#examsvalue'+id).val('');
        }
       
        // if (examspresence == '' && examsvalue) {
        //     $('#examsvalue'+id).val("");
        //     var examsvalue = "";
        //     alert("لا يمكن اضافة درجه للطالب وهو غائب ");
        //      return false;
        // }

        if (examsvalue > greatdegree) {
            $('#examsvalue'+id).val("");
            var examsvalue = "";
            alert("درجة الطالب اعلى من درجة الاختبار");
            return false;
        }

        $.post('studentsExamsController.php?do=examsstudent', {id: id, examsvalue: examsvalue, examspresence: examspresence}, function (result) {
            if (result != 1) {
                     alert('حدث خطأ أثناء التنفيذ');
            }
        });
});




 
$(".getselectpayment").select2({
    allowClear: true,
    placeholder: "اختر الطالب",
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'studentsPay.php?do=getselectpayment',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var itr = $(this).attr('data-itr');
                var parentcol = $(this).attr('data-parent');
                var parentid = $('#'+parentcol+itr).val();
                var placeholder = $('#'+parentcol+itr).attr('data-placeholder');  
                if (parentcol != '' && parentid == '') {
                    alert(' يجب اختيار  '+placeholder+' اولآ');
                    return false;
                }
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"), 
                    table: $(this).attr('data-table'),
                    del: $(this).attr('data-del'),
                    filter: $(this).attr('data-filter'),
                    parentcol: parentcol,
                    parentid: parentid,
                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});






$('body').on('click', '.removerowstudentspays', function () {
    var id = $(this).attr('data-id');
    if (confirm('هل انت متاكد من الحذف ؟')) {
        var thisis = $(this);
        $.post('studentsPay.php?do=removerowstudentspays', {id: id}, function (data) {
            if (data == 1) {
                $('#start_date').trigger('change');
            }else{
               alert('حدث خطأ أثناء التنفيذ');
            }
        });
    } else {
    alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});




$('body').on('click', '.studentspaysend', function () {
    var studentid = $(this).attr('data-id');
    $.post('studentsPay.php?do=studentspaysend', {studentid: studentid}, function (data) {
        $('#codes').text($.trim(data));
         document.execCommand("copy");
        if (data) {
             let copyFrom = document.createElement("textarea");
            document.body.appendChild(copyFrom);
            copyFrom.textContent = $.trim(data);
            copyFrom.select();
            document.execCommand("copy");
            copyFrom.remove();
            }else{
               alert('حدث خطأ أثناء التنفيذ');
            }
    });
});

$('body').on('click', '.studentspaysend2', function () {
    var studentid = $(this).attr('data-id');
    $.post('studentsPay.php?do=studentspaysend', {studentid: studentid}, function (data) {
        $('#codes').text($.trim(data));
         document.execCommand("copy");
        if (data) {
             let copyFrom = document.createElement("textarea");
            $('.modalbody').append(copyFrom);
            copyFrom.textContent = $.trim(data);
            copyFrom.select();
            document.execCommand("copy");
            copyFrom.remove();
            $('#exampleModal').modal('hide');
            window.location = 'studentsPay.php?do=show';  
            }else{
               alert('حدث خطأ أثناء التنفيذ');
            }
    });
});
// $(document).ready(function() {   
//  $('body').html( $('body').html()
//     .replace(/الطلاب/gi,'اللاعبين')
//     .replace(/الطالب/gi, 'اللاعب')
//     .replace(/المواد الدراسيه /gi, 'الالعاب')
//     .replace(/عرض المواد الدراسيه/gi, 'عرض الالعاب')
//     .replace(/اسم الماده /gi, 'اسم  اللعبه')
//     .replace(/سعر الماده /gi, 'سعر اللعبه')


// );
 

// });



$(".getselect").select2({
    allowClear: true,
    placeholder: "اختر الطالب",
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'transactionstEstateAjax.php?do=getselect',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var itr = $(this).attr('data-itr');
                var parentcol = $(this).attr('data-parent');
                var parentid = $('#'+parentcol+itr).val();
                var placeholder = $('#'+parentcol+itr).attr('data-placeholder');  
                if (parentcol != '' && parentid == '') {
                    alert(' يجب اختيار  '+placeholder+' اولآ');
                    return false;
                }
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"), 
                    table: $(this).attr('data-table'),
                    del: $(this).attr('data-del'),
                    filter: $(this).attr('data-filter'),
                    parentcol: parentcol,
                    parentid: parentid,
                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});






$('body').on('change', '.countmonths', function () {
        var id = $(this).val();
        var countmonths =  $(this).find('option:selected').attr('data-countmonth');
        var price =  $(this).find('option:selected').attr('data-price');
        var name =  $(this).find('option:selected').attr('data-name');
         var payenddate = $('#payenddateold').val();
        if (id) {
          $('#countmonths').prop("required", true);
          $('#countmonths').val(price);
          $('#namepay').val(name);
        }
        $.post('studentsPay.php?do=getpaystudent2', {countmonths: countmonths, payenddate: payenddate}, function (result) {
          $('.payenddate').val($.trim(result));
        });
});








$('body').on('click', '.newremoveclass', function () {
    var editcheck = $(this).attr('data-edit');
    var id = $(this).attr('data-id');
    var table = $(this).attr('data-container');
    var thisis = $(this);
    if (confirm('هل انت متاكد من الحذف ؟')) {
        if (editcheck == 1) {
            $.post('transactionstEstateAjax.php?do=removeteble', {id: id, table: table, editcheck: editcheck}, function (data) {
                if (data == 1) {
                    $('.'+table+editcheck+id).remove();
                }else{
                     alert('حدث خطأ أثناء التنفيذ');
                }
            });
        } else {
            $('.'+table+editcheck+id).remove();
        }
    } else {
    alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});




$(".getselectparent").select2({
    allowClear: true,
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'transactionstEstateAjax.php?do=getselectparent',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var itr = $(this).attr('data-itr');
                var parentcol = $(this).attr('data-parent');
                var parentid = $('#'+parentcol+itr).val();
                var placeholder = $('#'+parentcol+itr).attr('data-placeholder');  
                if (parentcol != '' && parentid == '') {
                    alert(' يجب اختيار  '+placeholder+' اولآ');
                    return false;
                }

                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"), 
                    table: $(this).attr('data-table'),
                    filter: $(this).attr('data-filter'),
                    parentid: parentid,
                    parentcol : parentcol,
                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});




$("#getselect").select2({
    allowClear: true,
    placeholder: "اختر الطالب",
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'transactionstEstateAjax.php?do=getselect',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"), 
                    table: $(this).attr('data-table'),
                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});









$('body').on('click', '.removesubjectsstudent', function () {
    var id = $(this).attr('data-id');
    if (confirm('هل انت متاكد من الحذف ؟')) {
        $.post('studentsAddSubject.php?do=removesubjectsstudent', {id: id}, function (data) {
            if (data == 1) {
                $('#removesubjectsstudent'+id).remove();
            }else{
                 alert('حدث خطأ أثناء التنفيذ');
            }
        });
    } else {
    alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});


     
function selectedit(){
    $(".selectedit").each(function( ) {
          var ids = Number($(this).attr('valid'));
          var texts = $(this).attr('valtext');
          var selectid = $(this).attr('selectid');
          $("#"+selectid).select2("data", {id: ids, text: texts});
    });

    var ids = Number($('#studentaddsubjectid').val());
    $.post('studentsAddSubject.php?do=getstudentedit', {ids: ids}, function (result) {
        var data = jQuery.parseJSON(result);
        $("#studentid").select2("data", data);     
    });
    
}


     
function deldata(){
    
    var deldata = Number($('.deldata').val());
    if(deldata > 1){
        $('input').attr('readonly', 'readonly');
         $('textarea').attr('readonly', 'readonly');    
        $("select").attr("disabled", "disabled");

    }
}


function selectedit2(){
    $(".selectedit").each(function( ) {
          var ids = Number($(this).attr('data-id'));
          var texts = $(this).attr('data-text');
          var table = $(this).attr('data-table');
          $("#"+table).select2("data", {id: ids, text: texts});
    });
    
}










$(".getstudentabsence").select2({
    allowClear: true,
    // minimumInputLength: 2,
    multiple: true,
    quietMillis: 100,
    ajax: {
        url: 'studentAbsence.php?do=getstudentabsence',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var studentaddsubjectid = $('#studentaddsubjectid').val();
                if (studentaddsubjectid == '') {
                    var placeholder = $('#studentaddsubjectid').attr('data-placeholder');  
                    alert(' يجب اختيار  '+placeholder+' اولآ');
                    return false;
                }
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"),      
                    studentaddsubjectid: studentaddsubjectid,

                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});

$('body').on('change', '.sendmassagemanual', function () {
    var studentsubjectgroupid = $(this).val();
    if (studentsubjectgroupid > 0) {
    $.post('studentAbsence.php?do=sendmassagemanual', {studentsubjectgroupid: studentsubjectgroupid}, function (data) {
        if (data == 1) {
           $('#sendmassagemanual option[value="'+studentsubjectgroupid+'"]').attr("disabled", true);
            $("#sendmassagemanual").val('').change();
        }
    });
   }      
});


$('body').on('change', '.changeenddate', function () {
    
    var payid = $(this).attr('data-end');
    var dateend = $("#dateend"+payid).val();
    var datestart = $("#datestart"+payid).val();
    $.post('transactionstEstateAjax.php?do=changeenddate', {dateend: dateend, payid: payid, datestart: datestart}, function (data) {
            // if (data == 1) {
            //   $('#sendmassagemanual option[value="'+studentsubjectgroupid+'"]').attr("disabled", true);
            //     $("#sendmassagemanual").val('').change();
            // }
    });
   
});


$('body').on('change', '.reportdata', function () {
    var start_date = $("#start_date").val();
    var end_date = $("#end_date").val();
    var studentid = $("#studentid").val();
    var studentsubjectid = $("#studentsubjectid").val();
    var studentaddsubjectid = $("#studentaddsubjectid").val();
    var studentabsenceid = $("#studentabsenceid").val();
    var studentsexamid = $("#studentsexamid").val();
    var studentspaymentsystemid = $("#studentspaymentsystemid").val();
    var studentspayid = $("#studentspayid").val();
    var table = $(this).attr('data-table');
    var restall = $("#restall").val();
    if (restall == 0) {
    $.post('studentsReports.php?do='+table, {start_date: start_date, end_date: end_date, studentid: studentid, studentsubjectid: studentsubjectid,
     studentaddsubjectid: studentaddsubjectid, studentabsenceid: studentabsenceid, studentspaymentsystemid: studentspaymentsystemid,
      studentsexamid: studentsexamid, studentspayid: studentspayid, table: table}, function (data) {
        if (data) {
           $('#getdata').html(data);
           DataTablereload();

        }
    });
    }
      
});

$('body').on('click', '.restall', function () {
    $('#getdata').html('');
    $("#restall").val(1);
    var cd = (new Date()).toISOString().split('T')[0];
    $("#start_date").val(cd);
    $("#end_date").val(cd);
    $("#studentid").val('').change();
    $("#studentsubjectid").val('').change();
    $("#studentaddsubjectid").val('').change();
    $("#studentabsenceid").val('').change();
    $("#studentsexamid").val('').change();
    $("#studentspaymentsystemid").val('').change();
    $("#studentspayid").val('').change();
    $("#restall").val(0);
});
function DataTablereload(){

  $('.reportstable').dataTable({});
}




$('body').on('change', '.searchdetaildata', function () {
    var start_date = $("#start_date").val();
    var end_date = $("#end_date").val();
    var studentid = $("#studentid").val();
    var studentsubjectid = $("#studentsubjectid").val();
    var studentaddsubjectid = $("#studentaddsubjectid").val();
    var studentabsenceid = $("#studentabsenceid").val();
    var studentsexamid = $("#studentsexamid").val();
    var studentspaymentsystemid = $("#studentspaymentsystemid").val();
    var studentaddsubjectdetailid = $("#studentaddsubjectdetailid").val();
    var studentsexamsvalid = $("#studentsexamsvalid").val();
    var studentspayid = $("#studentspayid").val();
    var onlys = $(".onlys:checked").val();
    var table = $("#doget").val();
    var restall = $("#restall").val();
    // if (restall == 0) {
    $.post('studentsReports.php?do='+table, {start_date: start_date, end_date: end_date, studentid: studentid, studentsubjectid: studentsubjectid,
     studentaddsubjectid: studentaddsubjectid, studentabsenceid: studentabsenceid, studentspaymentsystemid: studentspaymentsystemid, onlys: onlys,
      studentsexamid: studentsexamid, studentspayid: studentspayid, studentaddsubjectdetailid: studentaddsubjectdetailid, studentsexamsvalid: studentsexamsvalid, table: table}, function (data) {
        if (data) {
           $('#getdata').html(data);
           DataTablereload();

        }
    });
    // }
      
});

$('body').on('click', '.restall2', function () {
    $('#getdata').html('');
    $("#restall").val(1);
    var cd = (new Date()).toISOString().split('T')[0];
    $("#start_date").val(cd);
    $("#end_date").val(cd);
    $("#studentid").val('').change();
    $("#studentsubjectid").val('').change();
    $("#studentaddsubjectid").val('').change();
    $("#studentabsenceid").val('').change();
    $("#studentsexamid").val('').change();
    $("#studentspaymentsystemid").val('').change();
    $("#studentspayid").val('').change();
    $("#restall").val(0);
});


$('body').on('change', '.studentpay', function () {
    var studentid = $(this).val();
    var studentaddsubjectid = $('#studentaddsubjectid').val();  
    var paykind = $(".paykind:checked").val(); 
    if (paykind == 2) {
       var countmonth = $('#studentspaymentsystemid').val(); 
    }else if (paykind == 1){
       var countmonth = studentaddsubjectid; 
    }else{
       var countmonth = $('#month').val(); 
    }
    $.post('studentsPay.php?do=getpaystudent', {studentid: studentid, studentaddsubjectid: studentaddsubjectid, paykind: paykind, countmonth: countmonth}, function (result) {
        console.log(result);
      var data = jQuery.parseJSON(result); 
          $('.payenddate').val($.trim(data.datenew));
          $('#namepay').val($.trim(data.namepay));
          $('#commentpay').val($.trim(data.commentpay));
           $('#payenddateold').val($.trim(data.datenew));
        
        
    });
});


$('body').on('change', '.paykind', function () {
    var paykind = $(this).val();
    if(paykind == 1){
       $(".paymentsystems").hide(); 
       $(".countmonth").hide(); 
       $(".newprice").hide(); 
    }else if (paykind == 2){
       $(".countmonth").hide(); 
       $(".newprice").hide(); 
       $(".paymentsystems").show(); 
    }else{
       $(".newprice").show(); 
       $(".countmonth").show(); 
       $(".paymentsystems").hide(); 
        
    }
   
});


// replacetext();
// function replacetext(){
//     $.getJSON('transactionstEstateAjax.php?do=getsetting', function( data ) {
//         if(data.studentorplayer == 1){
//              $('body').html( 
//                 $('body').html()
//                 .replace(/الطلاب/gi,'اللاعبين')
//                 .replace(/الطالب/gi, 'اللاعب')
//                 .replace(/المواد الدراسيه /gi, 'الالعاب')
//                 .replace(/عرض المواد الدراسيه/gi, 'عرض الالعاب')
//                 .replace(/اسم الماده /gi, 'اسم  اللعبه')
//                 .replace(/سعر الماده /gi, 'سعر اللعبه')
//              );  
//         }
       
//     });
// };
